org.w3c.dom.html

## Interface HTMLStyleElement

- All Superinterfaces:
    Element, HTMLElement, Node

      public interface HTMLStyleElement
      extends HTMLElement

  Style information. A more detailed style sheet object model is planned to be defined in a separate document. See the STYLE element definition in HTML 4.0.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getDisabled()` Enables/disables the style sheet.
    `java.lang.String` | `getMedia()` Designed for use with one or more target media.
    `java.lang.String` | `getType()` The style sheet language (Internet media type).
    `void` | `setDisabled(boolean disabled)`
    `void` | `setMedia(java.lang.String media)`
    `void` | `setType(java.lang.String type)`

    - ### Methods inherited from interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getDisabled

          boolean getDisabled()

      Enables/disables the style sheet.

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### getMedia

          java.lang.String getMedia()

      Designed for use with one or more target media. See the media attribute definition in HTML 4.0.

    - #### setMedia

          void setMedia(java.lang.String media)

    - #### getType

          java.lang.String getType()

      The style sheet language (Internet media type). See the type attribute definition in HTML 4.0.

    - #### setType

          void setType(java.lang.String type)

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.